%global srcname lit

%global rc_ver 2
#%%global post_ver 1
%global baserelease 2

%bcond_with check

Name: python-%{srcname}
Version: 0.11.1
Release: %mkrel %{baserelease}%{?rc_ver:.rc%{rc_ver}}
BuildArch: noarch

License: NCSA
Group: Development/Python
Summary: Tool for executing llvm test suites
URL: https://pypi.python.org/pypi/lit
Source0: %{pypi_source %{srcname} %{version}%{?rc_ver:rc%{rc_ver}}%{?post_ver:.post%{post_ver}}}

# for file check
%if %{with check}
BuildRequires: llvm-test
%endif

BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
lit is a tool used by the LLVM project for executing its test suites.

%package -n python3-lit
Summary: LLVM lit test runner for Python 3
Group: Development/Python
Requires: python3-setuptools

%description -n python3-lit
lit is a tool used by the LLVM project for executing its test suites.

%prep
%autosetup -n %{srcname}-%{version}%{?rc_ver:rc%{rc_ver}}%{?post_ver:.post%{post_ver}} -p4

%build
%py3_build

%install
%py3_install

# Strip out #!/usr/bin/env python
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/%{srcname}/*.py

%if %{with check}
%check
%{__python3} lit.py tests
%endif

%files -n python3-%{srcname}
%license LICENSE.TXT
%doc README.txt
%{python3_sitelib}/*
%{_bindir}/lit



%changelog
* Wed Jan 06 2021 tv <tv> 0.11.1-2.rc2.mga8
+ Revision: 1669237
- 0.11.1 rc2 Release

* Thu Dec 03 2020 tv <tv> 0.11.1-1.rc1.mga8
+ Revision: 1652057
- 0.11.1 rc1 Release

* Wed Nov 25 2020 tv <tv> 0.11.0-1.mga8
+ Revision: 1649352
- 11.0.0
- 0.11.0 rc1 Release

* Thu Apr 09 2020 tv <tv> 0.10.0-1.mga8
+ Revision: 1565858
- 0.10.0 final release

* Mon Feb 17 2020 umeabot <umeabot> 0.10.0-0.2.mga8
+ Revision: 1537508
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 tv <tv> 0.10.0-0.1.mga8
+ Revision: 1536892
- 0.10.0 RC1

* Thu Oct 31 2019 tv <tv> 0.9.0-1.mga8
+ Revision: 1457199
- new release

* Wed Sep 11 2019 tv <tv> 0.7.0-3.mga8
+ Revision: 1439596
- drop python2 subpkg
- rebuild for python-3.8

* Tue Jan 08 2019 tv <tv> 0.7.0-2.mga7
+ Revision: 1351608
- rebuild with python 3.7

* Fri Oct 12 2018 tv <tv> 0.7.0-1.mga7
+ Revision: 1319914
- new version (for clang testsuite)

* Thu Sep 20 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1289171
- Mageia 7 Mass Rebuild

* Thu Oct 19 2017 tv <tv> 0.5.1-1.mga7
+ Revision: 1172685
- new release (needed for clang-5.0)
- new release

* Thu Sep 21 2017 tv <tv> 0.5.0-2.mga7
+ Revision: 1156760
- fix group
- imported package python-lit

